Permalink
Fetching contributors…
Cannot retrieve contributors at this time
35 lines (34 sloc) 1.19 KB
os:
- linux
- osx
language: ruby
sudo: false
rvm:
# We use language features of Ruby that are not supported in Ruby 1.9.x or
# older.
#- 1.8.7
#- 1.9.2
- 1.9.3
- 2.0.0
- 2.1.1
- 2.2.1
before_install:
- if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then brew update ; fi
# dpkg has also gnu-tar and xz as dependencies, these packages are used
# by pacman.rb, for example.
- if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then brew install dpkg ; fi
- if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then which dpkg-deb || 'dpkg-deb not found'; fi
- if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then which lintian || echo 'lintian not found'; fi
- if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then which python || brew install python; fi
- if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then which easy_install || echo 'easy_install not found'; fi
- if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then which rpm || brew install rpm ; fi
- if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then which virtualenv-tools || pip install --user virtualenv virtualenv-tools ; fi
script: PATH=${PATH}:${HOME}/.local/bin bundle exec rspec
addons:
apt:
packages:
- bsdtar
- rpm
- lintian
- python-setuptools
- python-pip